/*
 * IRC - Internet Relay Chat, include/s_socks.h
 *
 * See file doc/authors for names of the programmers.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2, or (at your option)
 * any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef S_SOCKS_H
#define S_SOCKS_H

/*=============================================================================
 * SOCKS4 / SOCKS4A pks
 */
struct socks4 {
    unsigned char  vn;
    unsigned char  cd;
    unsigned short dstport;
    unsigned int   dstip;
};

/*
 * SOCKS5
 */

struct socks5out {
    unsigned char ver;
    unsigned char nmethods;
    unsigned char methods;
};

struct socks5in {
    unsigned char ver;
    unsigned char method;
};


/*=============================================================================
 * Proto types
 */

extern void start_socks(aClient *cptr);
extern void send_socksports(aClient *cptr);
extern void read_socksports(aClient *cptr);

#endif /* S_SOCKS_H */

