/*
 * RaptorIRCD - Internet Relay Chat Daemon, networks/RaptorNet.h
 * Copyright (C) 2001
 *
 * See file doc/authors for additional names of
 * the programmers.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2, or (at your option)
 * any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

/*
 * This file contains the RaptorNet specific settings.
*/

#ifndef NWSETTINGS

#define IRCNETWORK "SomeNet"
#define DOMAINNAME "somenet.tld"
#undef  RELIABLE_CLOCK

#define CONNECT_MSGS
#define ALLOW_SNO_CONNEXIT
#define SNO_CONNEXIT_IP
#define HHSTRING "rn"
#undef  PSTATS
#define PROXY_PROTECTION
#define SOCKS5
#define NEW_CONNECTSYS
#undef  CRYPT_LINK_PASSWORD
#define NICKNAMEHISTORYLENGTH (800)
#undef  HUB_NEEDS_H_LINE
#undef  USEONE
#undef  USE_SC_CS
#undef  USE_SC_HS
#undef  USE_SC_MS
#undef  USE_SC_NS
#undef  USE_SC_OS
#undef  USE_SC_SS
#undef  USE_SC_X2
#define USE_LOCAL_LINES
#define USE_REMOTE_LINES
#define USE_RULES
#define TOPICSYNC

#define ChanServ "ChanServ"
#define ChanServ_SERVER "services.somenet.tld"
#define HelpServ "HelpServ"
#define HelpServ_SERVER "services.somenet.tld"
#define MemoServ "MemoServ"
#define MemoServ_SERVER "services.somenet.tld"
#define NickServ "NickServ"
#define NickServ_SERVER "services.somenet.tld"
#define OperServ "OperServ"
#define OperServ_SERVER "services.somenet.tld"
#define StatServ "HelpServ"
#define StatServ_SERVER "services.somenet.tld"
#define X2 "X2"
#define X2_SERVER "x2.somenet.tld"

#define NICKLEN (30)
#define USERLEN (10)
#define HOSTLEN (63)
#define REALLEN (50)
#define PASSWDLEN (20)
#define KEYLEN (23)
#define TOPICLEN (160)
#define CHANNELLEN (200)
#define MAXBANS (30)
#define MAXBANLENGTH (1024)

#define SHOW_INVISIBLE_USERS
#define SHOW_ALL_INVISIBLE_USERS
#define OPERS_SEE_IN_SECRET_CHANNELS
#define LOCOP_SEE_IN_SECRET_CHANNELS
#undef  UNLIMIT_OPER_QUERY

#define CONFIG_LIST
#define DEFAULT_LIST ">2"
#define DEFAULT_LIST_PARAM ">2"
#define IDLE_FROM_MSG

#undef  MSGLOG_ENABLED
#define MSGLOG_SIZE (128)
#define MAXCHANNELSPERUSER (15)
#define MAXSILES (15)
#define AVBANLEN (40)
#define MAXSILELENGTH (40 * MAXSILES)

#define WALLOPS_GOD_ENTER
#define WALLOPS_GOD_OP
#define WALLOPS_FAILED_OPER

#endif /* NWSETTINGS */
